Forum Linux.debian/ubuntu Émulateur Android sous Debian. Problème pour faire tourner du 32 bits.

Posté par . Licence CC by-sa
Tags : aucun
2
15
jan.
2013

Hello.

Contexte : Debian testing AMD64

J'ai installé l'émulateur android (qui est en 32 bits) et il fonctionnait correctement. Mais suite au passage de debian vers "multiarch", aptitude a viré les paquets ia32-libs* qui permettaient de faire tourner les applications 32 bits dans un environnement 64 bits. Depuis j'ai un problème ça ne fonctionne plus. J'ai donc ré-installé le tarball contenant android, relancé le gui pour créer un "virtual device", il se lance bien mais apparemment il ne voit aucune "target" et le champ relatif est grisé. Je me demande quelles sont les bibliothèques qu'il me manque.
Ici La fenêtre avec le champ choix de la "target" qui est vide chez moi, contrairement à cet exemple.

Regardez la commande suivante et son retour.

ldd /opt/android-sdk-linux/platform-tools/adb

linux-gate.so.1 =>  (0xf7736000)
librt.so.1 => /lib/i386-linux-gnu/i686/cmov/librt.so.1 (0xf7705000)
libncurses.so.5 => /lib32/libncurses.so.5 (0xf76e2000)
libpthread.so.0 => /lib/i386-linux-gnu/i686/cmov/libpthread.so.0 (0xf76c8000)
libstdc++.so.6 => /usr/lib/i386-linux-gnu/libstdc++.so.6 (0xf75dc000)
libm.so.6 => /lib/i386-linux-gnu/i686/cmov/libm.so.6 (0xf75b6000)
libgcc_s.so.1 => /lib/i386-linux-gnu/libgcc_s.so.1 (0xf7599000)
libc.so.6 => /lib/i386-linux-gnu/i686/cmov/libc.so.6 (0xf7436000)
libdl.so.2 => /lib/i386-linux-gnu/i686/cmov/libdl.so.2 (0xf7431000)
/lib/ld-linux.so.2 (0xf7737000)
libtinfo.so.5 => /lib/i386-linux-gnu/libtinfo.so.5 (0xf7411000)

Les bibliothèques sont bien du 32 bits, j'ai vérifié.
Au passage, "linux-gate.so.1" et "/lib/ld-linux.so.2" sont-elles OK ? Elles ne pointent sur rien.

Question.
Quelqu'un a-t-il un émulateur qui fonctionne et que renvoie chez vous la commande suivante, dans le bon répertoire ? :
ldd ./android-sdk-linux/platform-tools/adb

Merci d'avance, je tourne en rond !

  • # Suite.

    Posté par . Évalué à 1.

    Je ne sais pas trop si je suis dans le bon forum ; c'est un peu lié à debian, un peu à android, etc. Je ne connais pas Java et ne sais pas vraiment où attaquer le problème. Il me semble que savoir de quelles bibliothèques a besoin un émulateur fonctionnel peut être un point de départ.
    Si une bonne âme a juste une piste…

  • # Je crois que le problème est ailleurs...

    Posté par . Évalué à 1.

    Je pense que cela ne doit pas être un problème avec adb (si tu peux le lancer depuis le terminal, c'est que les librairies sont bonnes, et le ldd a l'air correct).

    Juste pour référence, chez moi (gentoo amd64):

    $ ldd /opt/android-sdk-update-manager/platform-tools/adb 
    linux-gate.so.1 (0xf77cd000)
    librt.so.1 => /lib32/librt.so.1 (0xf7794000)
    libncurses.so.5 => /lib32/libncurses.so.5 (0xf774f000)
    libpthread.so.0 => /lib32/libpthread.so.0 (0xf7735000)
    libstdc++.so.6 => /usr/lib/gcc/x86_64-pc-linux-gnu/4.5.4/32/libstdc++.so.6 (0xf764e000)
    libm.so.6 => /lib32/libm.so.6 (0xf7627000)
    libgcc_s.so.1 => /usr/lib/gcc/x86_64-pc-linux-gnu/4.5.4/32/libgcc_s.so.1 (0xf760c000)
    libc.so.6 => /lib32/libc.so.6 (0xf7483000)
    libdl.so.2 => /lib32/libdl.so.2 (0xf747f000)
    /lib/ld-linux.so.2 (0xf77ce000)
    
    
    • [^] # Re: Je crois que le problème est ailleurs...

      Posté par . Évalué à 1.

      Merci. Effectivement, ça a l'air OK. Du coup je sèche…

      • [^] # Re: Je crois que le problème est ailleurs...

        Posté par . Évalué à 1.

        À tout hasard, est-ce que tu as regardé dans <sdk_root>/tools/lib/devices.xml si tu as bien des définitions?

        • [^] # Re: Je crois que le problème est ailleurs...

          Posté par . Évalué à 1.

          Oui, le fichier existe bien. Mais c'est bizarre, il ne connaît que des "device" de type Nexus. D'ailleurs Nexus n'apparaît même pas dans le choix possible à la création d'une "target".

          Je ne fais pas une copie du fichier, il est trop long. Mais lorsque je tape :
          grep -1 device /opt/android-sdk-linux/tools/lib/devices.xml

          Ça retourne :

          <d:device>
              <d:name>Nexus One</d:name>
          
          

              </d:state>
          </d:device>
          <d:device>
              <d:name>Nexus S</d:name>
          
          

              </d:state>
          </d:device>
          
          <d:device>
              <d:name>Galaxy Nexus</d:name>
          
          

              </d:state>
          </d:device>
          <d:device>
              <d:name>Nexus 7</d:name>
          
          

          ...
          
          

          Bizarre…

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.